package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.PaperCheck;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PaperCheckRepo extends JpaRepository<PaperCheck, Long>, JpaSpecificationExecutor {

    List<PaperCheck> findByWorkIdOrderByCreatedOnDesc(Long workId);

    @Query("select s from PaperCheck s where s.workId = ?1 and s.name = ?2")
    PaperCheck selectByWorkIdAndName(Long workId, String name);

    @Modifying
    @Query("update PaperCheck p set p.selectInfo = ?1 where p.id = ?2")
    void updateSelectInfoById(String selectInfo, Long id);

    @Modifying
    @Query("update PaperCheck p set p.studentCount = ?1 where p.id = ?2")
    void updateStudentCountById(int studentCount, Long paperCheckId);

    @Modifying
    @Query("update PaperCheck p set p.startDeal = true where p.id = ?1 and p.startDeal = false")
    void updateStartDealById(Long paperCheckId);

    void deleteByWorkIdAndSubjectAndStage(Long workId, String subject, MarkStage stage);
}
