package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.PaperCheckStudent;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PaperCheckStudentRepo extends JpaRepository<PaperCheckStudent, Long>, JpaSpecificationExecutor {

    void deleteByPaperCheckId(Long paperCheckId);

    @Query(value = "select pcs.subject, p.exam_number, pcs.secret_number, p.level, t.original_level, t.suggest_level from (select * from paper_check_student where paper_check_id = :paperCheckId) pcs left join (select cl.* from change_level cl where exists (select 1 from (select paper_id, max(id) id from change_level where work_id = :workId and subject = :subject and stage = :stage and role = 'MARK_LEADER' and audit_status = 1 group by paper_id) t where cl.id = t.id)) t on pcs.paper_id = t.paper_id left join paper p on pcs.paper_id = p.id", nativeQuery = true)
    List<Object[]> findByPaperCheckId(@Param("paperCheckId") Long paperCheckId, @Param("workId") Long workId, @Param("subject") String subject, @Param("stage") int stage);

    void deleteByWorkIdAndSubjectAndStage(Long workId, String subject, MarkStage stage);
}
